Subject: Re: ds/sparse-checkout-requires-per-worktree-config (was Re: What's cooking in git.git (Feb 2022, #02; Wed, 9))

From: Junio C Hamano <[email-masked]>
Date: Tue, 15 Feb 2022 17:55:21 -0800

Eric Sunshine <[email-masked]> writes:

> I wouldn't go so far as to characterize it as a disagreement. In my
> review, I only pointed out that this series was introducing some new
> instances of inconsistency which some earlier efforts (started by
> Michael Haggerty) had eliminated. As mentioned in [2], I personally
> prefer the term "worktree".

These two words mean different things, so I am not sure there is
much room for personal preference.  If what a documentation refers
to is the working tree plus its administrative files, referring to
the whole as a "worktree" would be more precise and concise.  If the
discussion is only about the thing above .git/ that the editors and
the compilers see, "working tree" is the right term to use.